property jumptime, jumped

on beginSprite me
  me.jumptime = 0
  me.jumped = 0
  startTimer()
end

on mouseEnter me
  if marker(0) = label("play") then
    whichSprite = me.spriteNum
    set the cursor of sprite whichSprite to 280
  else
    set the cursor of sprite whichSprite to 0
  end if
end

on mouseDown me
  global gStartedPlaying, gCursorHidden, gInactivities
  if marker(0) = label("play") then
    gStartedPlaying = 1
    gInactivities = VOID
    whichSprite = me.spriteNum
    whichSize = member(the member of sprite whichSprite).name
    puppetSound(3, "click" & string(random(5)))
    puppetSprite(67, 1)
    set the member of sprite 67 to whichSize
    set the member of sprite whichSprite to "empty"
    gCursorHidden = 1
    cursor(200)
  end if
  gInactivities = 0
end

on jump me
  puppetSprite(me.spriteNum, 1)
  me.jumptime = 5 + (me.spriteNum - 60)
  me.jumped = 1
end

on exitFrame me
  global gStartedPlaying, gPlacesBeen
  if me.jumptime > 0 then
    me.jumptime = me.jumptime - 1
    case me.jumptime of
      5:
        sprite(me.spriteNum).locV = sprite(me.spriteNum).locV - 10
      0:
        puppetSprite(me.spriteNum, 0)
        puppetSound(3, "click" & string(random(6)))
    end case
  end if
  if not gStartedPlaying and (gPlacesBeen contains "rockBal1") then
    if not me.jumped and (the timer > 780) then
      sendSprite(me.spriteNum, #jump)
    end if
  end if
end
